summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-action/battalion
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-action/battalion')
-rw-r--r--games-action/battalion/Manifest1
-rw-r--r--games-action/battalion/battalion-1.4b.ebuild70
-rw-r--r--games-action/battalion/files/battalion-1.4b-warning.patch12
-rw-r--r--games-action/battalion/metadata.xml5
4 files changed, 88 insertions, 0 deletions
diff --git a/games-action/battalion/Manifest b/games-action/battalion/Manifest
new file mode 100644
index 00000000000..a43a97f59a1
--- /dev/null
+++ b/games-action/battalion/Manifest
@@ -0,0 +1 @@
+DIST battalion1.4b.tar.bz2 942342 SHA256 983db152b44b33396ab242946b51d33c405e0bef8649e2cc9e38d6229d9735f7 SHA512 c3c615772012c63a709aaeaf4f23246760bf577b82eeec7cf5b2a479c6240fe4a2f839aca50540299ed4bee9b297f61fb8b7e1f5af74ea357f0d7e749d86f84b WHIRLPOOL 4816460b6e07046934852ca7c079f13eca05827f34b19c13b00f98ced0caa57e848b9d1f3badaa31a82a0dcfba61a9591d70f815cb83596a6901728fd45088c5
diff --git a/games-action/battalion/battalion-1.4b.ebuild b/games-action/battalion/battalion-1.4b.ebuild
new file mode 100644
index 00000000000..e0ee2f00a88
--- /dev/null
+++ b/games-action/battalion/battalion-1.4b.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils games
+
+DESCRIPTION="Be a rampaging monster and destroy the city"
+HOMEPAGE="http://evlweb.eecs.uic.edu/aej/AndyBattalion.html"
+SRC_URI="http://evlweb.eecs.uic.edu/aej/BATTALION/${PN}${PV}.tar.bz2"
+
+LICENSE="battalion HPND"
+SLOT="0"
+KEYWORDS="ppc x86"
+IUSE=""
+
+DEPEND="virtual/opengl
+ virtual/glu
+ x11-libs/libX11"
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}/${PN}${PV}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-warning.patch
+ # Modify data paths
+ sed -i \
+ -e "s:SOUNDS/:${GAMES_DATADIR}/${PN}/SOUNDS/:" \
+ -e "s:MUSIC/:${GAMES_DATADIR}/${PN}/MUSIC/:" \
+ audio.c || die
+ sed -i \
+ -e "s:DATA/:${GAMES_DATADIR}/${PN}/DATA/:" \
+ -e "s:/usr/tmp:${GAMES_STATEDIR}:" \
+ battalion.c || die
+ sed -i \
+ -e "s:TEXTURES/:${GAMES_DATADIR}/${PN}/TEXTURES/:" \
+ graphics.c || die
+
+ # Modify Makefile and add CFLAGS
+ sed -i \
+ -e "s:-O2:${CFLAGS}:" \
+ -e "/^CC/d" \
+ Makefile || die
+ # Only .raw sound files are used on Linux. The .au files are not needed.
+ rm -f {SOUNDS,MUSIC}/*.au
+}
+
+src_compile() {
+ emake LIBFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ dogamesbin battalion
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r DATA MUSIC SOUNDS TEXTURES
+ dodoc README
+
+ dodir "${GAMES_STATEDIR}"
+ touch "${D}${GAMES_STATEDIR}"/battalion_hiscore
+ fperms 660 "${GAMES_STATEDIR}"/battalion_hiscore
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ elog "Sound and music are not enabled by default."
+ elog "Use the S and M keys to enable them in-game, or start the game with"
+ elog "the -s and -m switches: battalion -s -m"
+}
diff --git a/games-action/battalion/files/battalion-1.4b-warning.patch b/games-action/battalion/files/battalion-1.4b-warning.patch
new file mode 100644
index 00000000000..91fd8ee51d3
--- /dev/null
+++ b/games-action/battalion/files/battalion-1.4b-warning.patch
@@ -0,0 +1,12 @@
+diff -ru battalion1.4b.orig/net.c battalion1.4b/net.c
+--- battalion1.4b.orig/net.c 2002-05-06 09:57:01.000000000 -0400
++++ battalion1.4b/net.c 2015-03-30 18:29:23.885306334 -0400
+@@ -378,7 +378,7 @@
+
+ /* nother copy of this elsewhere */
+
+- sprintf(mesg, "%s %d %3.1f %3.1f %3.1f %3.1f %0.3f %d %d #", MESG_NEW_TANK,
++ sprintf(mesg, "%s %d %3.1f %3.1f %3.1f %3.1f %0.3f %d #", MESG_NEW_TANK,
+ tempTank->number,
+ tempTank->x-globalxshift,
+ tempTank->z-globalzshift,
diff --git a/games-action/battalion/metadata.xml b/games-action/battalion/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-action/battalion/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>